package com.hzs.activity.tourism.provider;

import com.hzs.activity.tourism.IAcTourismServiceApi;
import com.hzs.activity.tourism.service.IAcTourismDataService;
import com.hzs.common.core.domain.R;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 旅游活动数据dubbo服务
 * @Author: jiang chao
 * @Time: 2024/2/22 17:32
 * @Classname: AcTourismProviderrApi
 * @PackageName: com.hzs.activity.tourism.provider
 */
@Slf4j
@DubboService
public class AcTourismServiceProvider implements IAcTourismServiceApi {

    @Autowired
    private IAcTourismDataService iAcTourismDataService;

    @Override
    public R<?> handleTourismData() {
        try {
            iAcTourismDataService.handleTourismData();
            return R.ok();
        } catch (Exception e) {
            log.error("旅游活动更新积分异常", e);
        }
        return R.fail();
    }

}
